# cfebs.com

A blog generator.

## Usage

Put posts in `./posts` as `.md` files.

Add metadata to the head of each post file.

Example:

```
Title:  My post
Date:   2024-06-17T22:51:28-04:00
---
Now I'll start my _amazing_ markdown post
```

Run `python3 ./main.py` to regenerate the site.

## Templates

Also required are two template files: `index.html.tmpl`, `index.xml.tmpl`

`index.html.tmpl` used for index and each post

* Must contain a `${content}` variable where list of posts and post content will be replaced.

`index.xml.tmpl` used for RSS

* Can be used verbatim

## TODO

* Do not hard-code domain or posts location
* Make templates examples that user has to move to locations
